import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

/**
 * ͕⏕NXłB
 */
public class MySystem {
	/**
	 * ́B
	 */
	public static final MyReader in = new MyReader();
	
	/**
	 * vCx[gȃRXgN^B
	 */
	private MySystem() {
		; // Ȃ
	}
}


/**
 * ͂ȕւɍs߂̃NXłB
 */
class MyReader {
	/**
	 * obt@[h[_[B
	 */
	private BufferedReader bufferedReader;
	/**
	 * vvgB
	 */
	private String prompt = "? ";
	
	/**
	 * RXgN^B
	 */
	public MyReader() {
		this.bufferedReader = new BufferedReader(new InputStreamReader(System.in));
	}
	
	/**
	 * vvgԂ܂B
	 * @return vvg
	 */
	public String getPrompt() {
		return this.prompt;
	}
	
	/**
	 * vvgݒ肵܂B
	 * @param prompt vvgԂ܂B
	 */
	public void setPrompt(String prompt) {
		this.prompt = prompt;
	}
	
	/**
	 * ̓͂󂯕t܂B
	 * @param question \
	 * @return ͕
	 */
	public String getString(String question) {
		System.out.print(question + this.prompt);
		String input = "";
		
		try {
			input = this.bufferedReader.readLine();
		} catch(IOException e) {
			// System.in ̂ߋN蓾Ȃ
			; // Ȃ
		}
		return input;
	}
	
	/**
	 * boolean^̓͂󂯕t܂B
	 * @param question \
	 * @return l
	 */
	public boolean getBoolean(String question) {
		boolean input;
		String base = this.getString(question);
		input = Boolean.parseBoolean(base);
		return input;
	}
	
	/**
	 * byte^̓͂󂯕t܂B
	 * @param question \
	 * @return l
	 */
	public byte getByte(String question) {
		byte input;
		while(true) {
			String base = this.getString(question);
			try {
				input = Byte.parseByte(base);
			} catch(NumberFormatException e) {
				continue;
			}
			break;
		}
		return input;
	}

	/**
	 * short^̓͂󂯕t܂B
	 * @param question \
	 * @return l
	 */
	public short getShort(String question) {
		short input;
		while(true) {
			String base = this.getString(question);
			try {
				input = Short.parseShort(base);
			} catch(NumberFormatException e) {
				continue;
			}
			break;
		}
		return input;
	}
	
	/**
	 * int^̓͂󂯕t܂B
	 * @param question \
	 * @return l
	 */
	public int getInt(String question) {
		int input;
		while(true) {
			String base = this.getString(question);
			try {
				input = Integer.parseInt(base);
			} catch(NumberFormatException e) {
				continue;
			}
			break;
		}
		return input;
	}
	
	/**
	 * long^̓͂󂯕t܂B
	 * @param question \
	 * @return l
	 */
	public long getLong(String question) {
		long input;
		while(true) {
			String base = this.getString(question);
			try {
				input = Long.parseLong(base);
			} catch(NumberFormatException e) {
				continue;
			}
			break;
		}
		return input;
	}
	
	/**
	 * char^̓͂󂯕t܂B
	 * @param question \
	 * @return l
	 */
	public char getChar(String question) {
		char input;
		while(true) {
			String base = this.getString(question);
			if(base.length() == 1) {
				input = base.charAt(0);
				break;
			}
		}
		return input;
	}
	
	/**
	 * float^̓͂󂯕t܂B
	 * @param question \
	 * @return l
	 */
	public float getFloat(String question) {
		float input;
		while(true) {
			String base = this.getString(question);
			try {
				input = Float.parseFloat(base);
			} catch(NumberFormatException e) {
				continue;
			}
			break;
		}
		return input;
	}
	
	/**
	 * double^̓͂󂯕t܂B
	 * @param question \
	 * @return l
	 */
	public double getDouble(String question) {
		double input;
		while(true) {
			String base = this.getString(question);
			try {
				input = Double.parseDouble(base);
			} catch(NumberFormatException e) {
				continue;
			}
			break;
		}
		return input;
	}
}